/* Configuration for adacutilgnatcoll generated by Alire */
#ifndef ADACUTILGNATCOLL_CONFIG_H
#define ADACUTILGNATCOLL_CONFIG_H

#define CRATE_VERSION "23.0.0"
#define CRATE_NAME "adacutilgnatcoll"

#define ALIRE_HOST_OS "macos"

#define ALIRE_HOST_ARCH "x86_64"

#define ALIRE_HOST_DISTRO "distro_unknown"

#define MMAP_TRUE 1
#define MMAP_FALSE 0
#define MMAP 1

#define BUILD_PROFILE_RELEASE 1
#define BUILD_PROFILE_VALIDATION 2
#define BUILD_PROFILE_DEVELOPMENT 3

#define BUILD_PROFILE  1

#define TRACE_LEVEL_INFO 1
#define TRACE_LEVEL_DETAILS 2
#define TRACE_LEVEL_DEBUG 3

#define TRACE_LEVEL  1

#define TARGET_OS_LLVM 1
#define TARGET_OS_AARCH64_DARWIN 2
#define TARGET_OS_AARCH64_ELF 3
#define TARGET_OS_AARCH64_LINUX 4
#define TARGET_OS_AARCH64_NETBSD 5
#define TARGET_OS_ARM_ANDROID 6
#define TARGET_OS_ARM_DARWIN 7
#define TARGET_OS_ARM_ELF 8
#define TARGET_OS_ARM_LINUX 9
#define TARGET_OS_ARM7_NETBSD 10
#define TARGET_OS_ARM7EB_NETBSD 11
#define TARGET_OS_AVR_ELF 12
#define TARGET_OS_RISCV32_ELF 13
#define TARGET_OS_RISCV32_NETBSD 14
#define TARGET_OS_RISCV64_ELF 15
#define TARGET_OS_RISCV64_NETBSD 16
#define TARGET_OS_X86_64_DARWIN 17
#define TARGET_OS_X86_64_FREEBSD 18
#define TARGET_OS_X86_64_LINUX 19
#define TARGET_OS_X86_64_NETBSD 20
#define TARGET_OS_X86_64_WINDOWS 21
#define TARGET_OS_X86_DARWIN 22
#define TARGET_OS_X86_ELF 23
#define TARGET_OS_X86_CYGWIN 24
#define TARGET_OS_X86_FREEBSD 25
#define TARGET_OS_X86_LINUX 26
#define TARGET_OS_X86_NETBSD 27
#define TARGET_OS_X86_WINDOWS 28

#define TARGET_OS  17

#define HOST_OS_AIX 1
#define HOST_OS_DARWIN 2
#define HOST_OS_FREEBSD 3
#define HOST_OS_NETBSD 4
#define HOST_OS_OPENBSD 5
#define HOST_OS_GNU_LINUX 6
#define HOST_OS_LINUX 7
#define HOST_OS_CYGWIN 8
#define HOST_OS_MSYS 9
#define HOST_OS_OS_390 10
#define HOST_OS_QNX 11
#define HOST_OS_SUNOS 12
#define HOST_OS_MS_WINDOWS 13

#define HOST_OS  2

#define MADVISE_TRUE 1
#define MADVISE_FALSE 0
#define MADVISE 1

#endif
